VirtualBox

Ticket #19495 (closed defect: worksforme)

Opened 2 years ago

Last modified 2 years ago

Virtualbox 6.1.6 does not install on Ubuntu 20.04 LTS

Reported by: BertiN45 Owned by:
Component: installer Version: VirtualBox 6.1.6
Keywords: Cc:
Guest type: other Host type: Linux

Description

One week before the official release date of Ubuntu 20.04, Virtualbox 6.1.6 does not supply an install for Ubuntu 20.04. The 19.10 version fails due to dependency issues.

Change History

comment:1 follow-up: ↓ 2 Changed 2 years ago by fbatschu

  • Status changed from new to closed
  • Resolution set to worksforme
  • Host type changed from other to Linux
  • Component changed from other to installer

I cannot see any issues with doing that using:

 https://download.virtualbox.org/virtualbox/6.1.6/virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb

see below:

Linux fbatschu-VirtualBox 5.4.0-26-generic #30-Ubuntu SMP Mon Apr 20 16:58:30 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
VERSION="20.04 LTS (Focal Fossa)"
# apt show ./virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb
Package: virtualbox-6.1
Version: 6.1.6-137129~Ubuntu~eoan
Priority: optional
Section: contrib/misc
Maintainer: Oracle Corporation <info@virtualbox.org>
Installed-Size: 215 MB
Provides: virtualbox
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: psmisc, adduser, libc6 (>= 2.29), libcurl4 (>= 7.16.2), libdevmapper1.02.1 (>= 2:1.02.97), libgcc1 (>= 1:3.0), libgl1, libopus0 (>= 1.1), libpng16-16 (>= 1.6.2-1), libqt5core5a (>= 5.12.2), libqt5gui5 (>= 5.4.0) | libqt5gui5-gles (>= 5.4.0), libqt5opengl5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.12.2), libqt5x11extras5 (>= 5.6.0), libsdl1.2debian (>= 1.2.11), libssl1.1 (>= 1.1.1), libstdc++6 (>= 5.2), libvpx6 (>= 1.6.0), libx11-6, libxcb1, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.7.4), libxt6, zlib1g (>= 1:1.1.4), python (<< 2.8), python (>= 2.7), python:any (>= 2.6.6-7~)
Recommends: libasound2, libpulse0, libsdl-ttf2.0-0, kmod | kldutils | module-init-tools, linux-headers-generic | linux-headers-generic-pae | linux-headers-686-pae | linux-headers-amd64 | linux-headers-2.6-686 | linux-headers-2.6-amd64 | linux-headers, linux-image, gcc, make | build-essential | dpkg-dev, binutils, pdf-viewer
Conflicts: virtualbox, virtualbox-guest-additions-iso, virtualbox-ose, virtualbox-qt
Replaces: virtualbox
Python-Version: 2.7
Download-Size: 87,7 MB
APT-Manual-Installed: yes
APT-Sources: /home/fbatschu/Downloads/virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb
Description: Oracle VM VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
# apt install ./virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'virtualbox-6.1' instead of './virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb'
The following packages were automatically installed and are no longer required:
  libberkeleydb-perl libcgi-fast-perl libcgi-pm-perl libclass-accessor-perl libfcgi-perl libfreezethaw-perl
  libmldbm-perl
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  libqt5opengl5 libqt5x11extras5 libsdl-ttf2.0-0 libsdl1.2debian python-is-python2
The following NEW packages will be installed:
  libqt5opengl5 libqt5x11extras5 libsdl-ttf2.0-0 libsdl1.2debian python-is-python2 virtualbox-6.1
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 339 kB/88,0 MB of archives.
After this operation, 216 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libqt5opengl5 amd64 5.12.8+dfsg-0ubuntu1 [136 kB]
Get:2 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libqt5x11extras5 amd64 5.12.8-0ubuntu1 [10,3 kB]
Get:3 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libsdl1.2debian amd64 1.2.15+dfsg2-5 [175 kB]
Get:4 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 python-is-python2 all 2.7.17-4 [2.496 B]
Get:5 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libsdl-ttf2.0-0 amd64 2.0.11-6 [15,1 kB]
Get:6 /home/fbatschu/Downloads/virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb virtualbox-6.1 amd64 6.1.6-137129~Ubuntu~eoan [87,7 MB]
Fetched 339 kB in 1s (546 kB/s)
Preconfiguring packages ...
Selecting previously unselected package libqt5opengl5:amd64.
(Reading database ... 251967 files and directories currently installed.)
Preparing to unpack .../0-libqt5opengl5_5.12.8+dfsg-0ubuntu1_amd64.deb ...
Unpacking libqt5opengl5:amd64 (5.12.8+dfsg-0ubuntu1) ...
Selecting previously unselected package libqt5x11extras5:amd64.
Preparing to unpack .../1-libqt5x11extras5_5.12.8-0ubuntu1_amd64.deb ...
Unpacking libqt5x11extras5:amd64 (5.12.8-0ubuntu1) ...
Selecting previously unselected package libsdl1.2debian:amd64.
Preparing to unpack .../2-libsdl1.2debian_1.2.15+dfsg2-5_amd64.deb ...
Unpacking libsdl1.2debian:amd64 (1.2.15+dfsg2-5) ...
Selecting previously unselected package python-is-python2.
Preparing to unpack .../3-python-is-python2_2.7.17-4_all.deb ...
Unpacking python-is-python2 (2.7.17-4) ...
Selecting previously unselected package virtualbox-6.1.
Preparing to unpack .../4-virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb ...
Unpacking virtualbox-6.1 (6.1.6-137129~Ubuntu~eoan) ...
Selecting previously unselected package libsdl-ttf2.0-0:amd64.
Preparing to unpack .../5-libsdl-ttf2.0-0_2.0.11-6_amd64.deb ...
Unpacking libsdl-ttf2.0-0:amd64 (2.0.11-6) ...
Setting up libqt5x11extras5:amd64 (5.12.8-0ubuntu1) ...
Setting up libsdl1.2debian:amd64 (1.2.15+dfsg2-5) ...
Setting up libqt5opengl5:amd64 (5.12.8+dfsg-0ubuntu1) ...
Setting up libsdl-ttf2.0-0:amd64 (2.0.11-6) ...
Setting up python-is-python2 (2.7.17-4) ...
Setting up virtualbox-6.1 (6.1.6-137129~Ubuntu~eoan) ...
Adding group `vboxusers' (GID 131) ...
Done.
Processing triggers for desktop-file-utils (0.24-1ubuntu2) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Processing triggers for systemd (245.4-4ubuntu1) ...
Processing triggers for shared-mime-info (1.15-1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu2) ...
Rebuilding /usr/share/applications/bamf-2.index...

If you have detailed and precise complaints please re-open the bug and provide more technical details.

comment:2 in reply to: ↑ 1 Changed 2 years ago by exSandton

  • Status changed from closed to reopened
  • Resolution worksforme deleted

Replying to fbatschu:

I cannot see any issues with doing that using:

 https://download.virtualbox.org/virtualbox/6.1.6/virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb

see below:

Linux fbatschu-VirtualBox 5.4.0-26-generic #30-Ubuntu SMP Mon Apr 20 16:58:30 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
VERSION="20.04 LTS (Focal Fossa)"
# apt show ./virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb
Package: virtualbox-6.1
Version: 6.1.6-137129~Ubuntu~eoan
Priority: optional
Section: contrib/misc
Maintainer: Oracle Corporation <info@virtualbox.org>
Installed-Size: 215 MB
Provides: virtualbox
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: psmisc, adduser, libc6 (>= 2.29), libcurl4 (>= 7.16.2), libdevmapper1.02.1 (>= 2:1.02.97), libgcc1 (>= 1:3.0), libgl1, libopus0 (>= 1.1), libpng16-16 (>= 1.6.2-1), libqt5core5a (>= 5.12.2), libqt5gui5 (>= 5.4.0) | libqt5gui5-gles (>= 5.4.0), libqt5opengl5 (>= 5.0.2), libqt5printsupport5 (>= 5.0.2), libqt5widgets5 (>= 5.12.2), libqt5x11extras5 (>= 5.6.0), libsdl1.2debian (>= 1.2.11), libssl1.1 (>= 1.1.1), libstdc++6 (>= 5.2), libvpx6 (>= 1.6.0), libx11-6, libxcb1, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.7.4), libxt6, zlib1g (>= 1:1.1.4), python (<< 2.8), python (>= 2.7), python:any (>= 2.6.6-7~)
Recommends: libasound2, libpulse0, libsdl-ttf2.0-0, kmod | kldutils | module-init-tools, linux-headers-generic | linux-headers-generic-pae | linux-headers-686-pae | linux-headers-amd64 | linux-headers-2.6-686 | linux-headers-2.6-amd64 | linux-headers, linux-image, gcc, make | build-essential | dpkg-dev, binutils, pdf-viewer
Conflicts: virtualbox, virtualbox-guest-additions-iso, virtualbox-ose, virtualbox-qt
Replaces: virtualbox
Python-Version: 2.7
Download-Size: 87,7 MB
APT-Manual-Installed: yes
APT-Sources: /home/fbatschu/Downloads/virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb
Description: Oracle VM VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
# apt install ./virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'virtualbox-6.1' instead of './virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb'
The following packages were automatically installed and are no longer required:
  libberkeleydb-perl libcgi-fast-perl libcgi-pm-perl libclass-accessor-perl libfcgi-perl libfreezethaw-perl
  libmldbm-perl
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  libqt5opengl5 libqt5x11extras5 libsdl-ttf2.0-0 libsdl1.2debian python-is-python2
The following NEW packages will be installed:
  libqt5opengl5 libqt5x11extras5 libsdl-ttf2.0-0 libsdl1.2debian python-is-python2 virtualbox-6.1
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 339 kB/88,0 MB of archives.
After this operation, 216 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libqt5opengl5 amd64 5.12.8+dfsg-0ubuntu1 [136 kB]
Get:2 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libqt5x11extras5 amd64 5.12.8-0ubuntu1 [10,3 kB]
Get:3 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libsdl1.2debian amd64 1.2.15+dfsg2-5 [175 kB]
Get:4 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 python-is-python2 all 2.7.17-4 [2.496 B]
Get:5 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 libsdl-ttf2.0-0 amd64 2.0.11-6 [15,1 kB]
Get:6 /home/fbatschu/Downloads/virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb virtualbox-6.1 amd64 6.1.6-137129~Ubuntu~eoan [87,7 MB]
Fetched 339 kB in 1s (546 kB/s)
Preconfiguring packages ...
Selecting previously unselected package libqt5opengl5:amd64.
(Reading database ... 251967 files and directories currently installed.)
Preparing to unpack .../0-libqt5opengl5_5.12.8+dfsg-0ubuntu1_amd64.deb ...
Unpacking libqt5opengl5:amd64 (5.12.8+dfsg-0ubuntu1) ...
Selecting previously unselected package libqt5x11extras5:amd64.
Preparing to unpack .../1-libqt5x11extras5_5.12.8-0ubuntu1_amd64.deb ...
Unpacking libqt5x11extras5:amd64 (5.12.8-0ubuntu1) ...
Selecting previously unselected package libsdl1.2debian:amd64.
Preparing to unpack .../2-libsdl1.2debian_1.2.15+dfsg2-5_amd64.deb ...
Unpacking libsdl1.2debian:amd64 (1.2.15+dfsg2-5) ...
Selecting previously unselected package python-is-python2.
Preparing to unpack .../3-python-is-python2_2.7.17-4_all.deb ...
Unpacking python-is-python2 (2.7.17-4) ...
Selecting previously unselected package virtualbox-6.1.
Preparing to unpack .../4-virtualbox-6.1_6.1.6-137129~Ubuntu~eoan_amd64.deb ...
Unpacking virtualbox-6.1 (6.1.6-137129~Ubuntu~eoan) ...
Selecting previously unselected package libsdl-ttf2.0-0:amd64.
Preparing to unpack .../5-libsdl-ttf2.0-0_2.0.11-6_amd64.deb ...
Unpacking libsdl-ttf2.0-0:amd64 (2.0.11-6) ...
Setting up libqt5x11extras5:amd64 (5.12.8-0ubuntu1) ...
Setting up libsdl1.2debian:amd64 (1.2.15+dfsg2-5) ...
Setting up libqt5opengl5:amd64 (5.12.8+dfsg-0ubuntu1) ...
Setting up libsdl-ttf2.0-0:amd64 (2.0.11-6) ...
Setting up python-is-python2 (2.7.17-4) ...
Setting up virtualbox-6.1 (6.1.6-137129~Ubuntu~eoan) ...
Adding group `vboxusers' (GID 131) ...
Done.
Processing triggers for desktop-file-utils (0.24-1ubuntu2) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Processing triggers for systemd (245.4-4ubuntu1) ...
Processing triggers for shared-mime-info (1.15-1) ...
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu2) ...
Rebuilding /usr/share/applications/bamf-2.index...

If you have detailed and precise complaints please re-open the bug and provide more technical details.

I rebuilt and installed VirtualBox as described above and get the following when starting up:

VirtualBox can't enable the AMD-V extension. Please disable the KVM kernel extension, recompile your kernel and reboot (VERR_SVM_IN_USE).

Result Code: NS_ERROR_FAILURE (0x80004005) Component: ConsoleWrap Interface: IConsole {872da645-4a9b-1727-bee2-5585105b9eed}

comment:3 Changed 2 years ago by klaus

  • Status changed from reopened to closed
  • Resolution set to worksforme

Sorry, you're using both KVM (which grabs the hardware virtualization functionality of the CPU exclusively) and VirtualBox. Just like the error message says.

This ticket is about an alleged package dependency issue, which doesn't seem to be the case.

comment:4 Changed 2 years ago by fbatschu

Please see:

Error VERR_SVM_IN_USE
 https://forums.virtualbox.org/viewtopic.php?f=7&t=94887
AMD-V is being used by another hypervisor. (VERR_SVM_IN_USE)
 https://askubuntu.com/questions/403591/amd-v-is-being-used-by-another-hypervisor-verr-svm-in-use
 https://www.dedoimedo.com/computers/kvm-virtualbox.html

In general please use the forums for configuration questions and not the bug tracking system unless you are somehow certain to have found a bug.

 https://forums.virtualbox.org/index.php

Also in the future, please do not switch topics within bugs and turn a bug that was reporting problem X into a follow up reporting about problem Y and then possibly problem Z. Thanks.

comment:5 follow-up: ↓ 6 Changed 2 years ago by eelstrebor

  • Status changed from closed to reopened
  • Resolution worksforme deleted

I have the same problem and KVM isn't in use.

comment:6 in reply to: ↑ 5 Changed 2 years ago by fbatschu

  • Status changed from reopened to closed
  • Resolution set to worksforme

Replying to eelstrebor:

I have the same problem and KVM isn't in use.

What problem?

comment:7 follow-up: ↓ 8 Changed 2 years ago by Bob123

Getting this on Ubuntu 20.04 using the same methods above:

VBoxManage --version WARNING: The vboxdrv kernel module is not loaded. Either there is no module

available for the current kernel (5.4.0-28-generic) or it failed to load. Please recompile the kernel module and install it by

sudo /sbin/vboxconfig

You will not be able to start VMs until this problem is fixed.

6.1.6r137129

Virtualbox opens and I can create a virtual machine manually. Vagrant was complaining with this message that led me to the above:

VirtualBox is complaining that the kernel module is not loaded. Please run VBoxManage --version or open the VirtualBox GUI to see the error message which should contain instructions on how to fix this error.

This is a clean install of Ubuntu.

comment:8 in reply to: ↑ 7 Changed 2 years ago by fbatschu

Replying to Bob123:

Getting this on Ubuntu 20.04 using the same methods above:

VBoxManage --version WARNING: The vboxdrv kernel module is not loaded. Either there is no module

available for the current kernel (5.4.0-28-generic) or it failed to load. Please recompile the kernel module and install it by

sudo /sbin/vboxconfig

You will not be able to start VMs until this problem is fixed.

6.1.6r137129

Virtualbox opens and I can create a virtual machine manually. Vagrant was complaining with this message that led me to the above:

VirtualBox is complaining that the kernel module is not loaded. Please run VBoxManage --version or open the VirtualBox GUI to see the error message which should contain instructions on how to fix this error.

This is a clean install of Ubuntu.

What exactly do you mean when you say "same methods above"?

Which methods from where above?

You should get this on the host after installing the package:

fbatschu@oradesk:~$ uname -a
Linux oradesk 5.4.0-28-generic #32-Ubuntu SMP Wed Apr 22 17:40:10 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
fbatschu@oradesk:~$ grep PRETTY /etc/os-release 
PRETTY_NAME="Ubuntu 20.04 LTS"
fbatschu@oradesk:~$ VBoxManage --version
6.1.6r137129
fbatschu@oradesk:~$ lsmod|grep vbox
vboxnetadp             28672  0
vboxnetflt             28672  0
vboxdrv               487424  2 vboxnetadp,vboxnetflt

In the future, for arbitrary personal problems please use the appropriate channels, which is most of the time not the bug tracking system, its either the forum or the email aliases:

 https://forums.virtualbox.org/

https://www.virtualbox.org/wiki/Mailing_lists

And once again, do not clutter arbitrary existing bugs with your arbitrary personal problem. And then even lack a proper problem description.

Last edited 2 years ago by fbatschu (previous) (diff)
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use